id: vyos
sim:
  linux_native:
    driver: server
    libvirt_domain_driver: kvm
    disk_driver: virtio
    nic_driver: virtio
    ram: 1024
    cpus: 1
    data_volume: 0
    boot_disk_size: 64
inherited:
  image:
    ram: true
    cpus: true
    cpu_limit: true
    data_volume: true
    boot_disk_size: true
  node:
    ram: true
    cpus: true
    cpu_limit: true
    data_volume: true
    boot_disk_size: true
general:
  nature: router
  description: VyOS - Open source router and firewall platform
  read_only: true
schema_version: 0.0.1
configuration:
  generator:
    driver: ubuntu
  provisioning:
    volume_name: cidata
    media_type: iso
    files:
      - name: meta-data
        content: |-
          instance-id: ubuntu
          local-hostname: vyos
        editable: false
      - name: user-data
        content: |-
          #cloud-config
          hostname: vyos
        editable: true
device:
  interfaces:
    physical:
      - eth0
      - eth1
      - eth2
      - eth3
      - eth4
      - eth5
      - eth6
      - eth7
      - eth8
      - eth9
      - eth10
      - eth11
      - eth12
      - eth13
      - eth14
      - eth15
    loopback:
      - lo
    has_loopback_zero: true
    default_count: 4
    serial_ports: 1
boot:
  timeout: 180
  completed:
    - Welcome to VyOS
pyats:
  os: linux
ui:
  group: Others
  icon: router
  label: VyOS
  label_prefix: vyos-
  visible: true
  description: |-
    VyOS - Open source router and firewall platform

    1 GB DRAM, 1 vCPU (can be adjusted)

    Username: vyos
    Password: vyos
